using ValidatorsLibrary;

namespace ValidatorTests;

public class NotNullValidatorTests
{
    [Fact]
    public void Valid_NotNull()
    {
        var validator = new NotNullValidator();
        Assert.Empty(validator.Validate(new object()));
    }
    
    [Fact]
    public void Invalid_IsNull()
    {
        var validator = new NotNullValidator();
        Assert.NotEmpty(validator.Validate(null));
    }
}