﻿namespace ValidatorsLibrary;

public class NonBlankStringValidator : IValidator<string>
{
    public IEnumerable<ValidationError> Validate(string value) => string.IsNullOrWhiteSpace(value)
        ? [new ValidationError($"\"{value}\" is empty or just whitespaces.")]
        : Array.Empty<ValidationError>();
}
