﻿namespace ValidatorsLibrary;

public class NotNullValidator : IValidator<object?>
{
    public IEnumerable<ValidationError> Validate(object? value) => value is null
        ? [new ValidationError($"\"{value}\" is null.")]
        : Array.Empty<ValidationError>();
}
